Our phone system is currently undergoing maintenance. Please contact support@eventide.com for any assistance you may need.

You are here

Eclipse Software V4.01 (Mac/Win)

This version is the most recent fully supported release.  This update requires a Compact Flash card and a Compact Flash reader connected to a Mac or PC.

Software updates are available to all registered users.  Please study and understand the release notes before starting the upgrade. In particular you must back up all user presets first. 

  • If you are upgrading from a version earlier than 3.51 then you must install 3.51 first
  • If you are upgrading from version 2.0 or earlier and experience keyboard freezes while upgrading, you may need to upgrade the bootloader.